SunFlowerInMayDay
SunFlowerInMayDay
2016-08-05 09:00

weblogic10.3.6上面部署JAX-WS生成的webservice客户端的项目,出问题

刚毕业开始工作的编程菜鸟小姑娘一枚。
最近开发了一个小网站,需要调用大webservice服务发送验证码。项目基于myeclise+tomcat环境开发,在tomcat服务器上部署该项目能够正常运行,但是部署在weblogic10.3.6上就无法正常访问。

经过了两周的上百度查资料,看帖子。我的项目的webservice客户端是利用JAX-WS(2.1)的API,网上资料是说是 项目的 jar包和weblogic自带的jar包冲突出问题了。

我把项目先导出war包,然后在生成EAR包,修改了 application.xml 和 weblogic-appilication.xml文件之后,项目能够成功部署,但是实际访问的时候,webservice还是无法正常调用,报错信息里 还是存在jar包冲突。

经过多方询问,说是weblogic10.3.6自带的jdk是 jdk16_1.0_4,我开发项目用的是jdk1.6.0_45.现在想通过修改 weblogic自带的jdk版本来看能够成功部署该项目。

搞了两周没有把这个项目部署成功,好绝望的感觉。

第一次发帖子,描述得也有点乱,跪求各位大神高手,有处理过类似问题的,给出建议,小女子感激不尽!!

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

1条回答